Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113126 - bolt: FTBFS in Fedora rawhide/f37
Summary: bolt: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bolt
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Kellner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:17 UTC by Fedora Release Engineering
Modified: 2023-03-10 01:23 UTC (History)
4 users (show)

Fixed In Version: bolt-0.9.5-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-10 01:23:45 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:17 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:17 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:17 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab bolt bolt merge_requests 253 0 None opened tests: avoid multiple g_log_set_writer_func calls 2022-08-17 14:07:05 UTC

Description Fedora Release Engineering 2022-08-01 23:17:42 UTC
bolt failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89757849


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix bolt at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bolt will be orphaned. Before branching of Fedora 38,
bolt will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:17:45 UTC
Created attachment 1900825 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2022-08-01 23:17:46 UTC
Created attachment 1900826 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:17:47 UTC
Created attachment 1900827 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:24:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Christian Kellner 2022-08-17 14:07:06 UTC
glib 2.73 introduced a behaviour change for one of its API and this broke the test suit. Fix at https://gitlab.freedesktop.org/bolt/bolt/-/merge_requests/253

Comment 6 Fedora Admin user for bugzilla script actions 2023-01-06 12:06:54 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Kate Hsuan 2023-02-15 04:23:43 UTC
Hi,

I've updated it for rawhide and 38. If everything is right, I plan to update 37 and 36.

Thank you :)

Comment 8 Fedora Update System 2023-03-06 06:22:20 UTC
FEDORA-2023-c5b68358d7 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5b68358d7

Comment 9 Fedora Update System 2023-03-07 02:42:44 UTC
FEDORA-2023-c5b68358d7 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c5b68358d7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5b68358d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-03-10 01:23:45 UTC
FEDORA-2023-c5b68358d7 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.